petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPGMRESSetHapTol

Sets tolerance for determining happy breakdown in GMRES, FGMRES and LGMRES.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetHapTol(KSP ksp,PetscReal tol)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| tol | - the tolerance

### Options Database

-ksp_gmres_haptol <positive real value> - Note: Happy breakdown is the rare case in GMRES where an 'exact' solution is obtained after a certain number of iterations. If you attempt more iterations after this point unstable things can happen hence very occasionally you may need to set this value to detect this condition

### See Also

KSPSetTolerances()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Implementations

KSPGMRESSetHapTol_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages